# Uses of Class
org.apache.lucene.benchmark.byTask.utils.Config

Packages that use Config
Package
Description
org.apache.lucene.benchmark.byTask
Benchmarking Lucene By Tasks
org.apache.lucene.benchmark.byTask.feeds
Sources for benchmark inputs: documents and queries.
org.apache.lucene.benchmark.byTask.stats
Statistics maintained when running benchmark tasks.
org.apache.lucene.benchmark.byTask.tasks
Extendable benchmark tasks.

- ## Uses of Config in org.apache.lucene.benchmark.byTask

  Methods in org.apache.lucene.benchmark.byTask that return Config
  Modifier and Type
  Method
  Description
  `Config`
  PerfRunData.`getConfig()`
  Constructors in org.apache.lucene.benchmark.byTask with parameters of type Config
  Modifier
  Constructor
  Description
  ``
  `PerfRunData(Config config)`

- ## Uses of Config in org.apache.lucene.benchmark.byTask.feeds

  Fields in org.apache.lucene.benchmark.byTask.feeds declared as Config
  Modifier and Type
  Field
  Description
  `protected Config`
  AbstractQueryMaker.`config`
  `protected Config`
  DocMaker.`config`
  Methods in org.apache.lucene.benchmark.byTask.feeds that return Config
  Modifier and Type
  Method
  Description
  `final Config`
  ContentItemsSource.`getConfig()`
  Methods in org.apache.lucene.benchmark.byTask.feeds with parameters of type Config
  Modifier and Type
  Method
  Description
  `protected SpatialStrategy`
  SpatialDocMaker.`makeCompositeStrategy(Config config, Map<String,String> configMap, org.locationtech.spatial4j.context.SpatialContext ctx)`
  `protected RecursivePrefixTreeStrategy`
  SpatialDocMaker.`makeRPTStrategy(String spatialField, Config config, Map<String,String> configMap, org.locationtech.spatial4j.context.SpatialContext ctx)`
  `protected SerializedDVStrategy`
  SpatialDocMaker.`makeSerializedDVStrategy(String spatialField, Config config, Map<String,String> configMap, org.locationtech.spatial4j.context.SpatialContext ctx)`
  `static SpatialDocMaker.ShapeConverter`
  SpatialDocMaker.`makeShapeConverter(SpatialStrategy spatialStrategy, Config config, String configKeyPrefix)`
  Optionally converts points to circles, and optionally bbox'es result.
  `protected SpatialStrategy`
  SpatialDocMaker.`makeSpatialStrategy(Config config)`
  Builds a SpatialStrategy from configuration options.
  `protected SpatialStrategy`
  SpatialDocMaker.`makeSpatialStrategy(Config config, Map<String,String> configMap, org.locationtech.spatial4j.context.SpatialContext ctx)`
  `void`
  AbstractQueryMaker.`setConfig(Config config)`
  `void`
  ContentItemsSource.`setConfig(Config config)`
  Sets the `Config` for this content source.
  `void`
  DirContentSource.`setConfig(Config config)`
  `void`
  DocMaker.`setConfig(Config config, ContentSource source)`
  Set the configuration parameters of this doc maker.
  `void`
  EnwikiContentSource.`setConfig(Config config)`
  `void`
  LineDocSource.`setConfig(Config config)`
  `void`
  LongToEnglishQueryMaker.`setConfig(Config config)`
  `void`
  QueryMaker.`setConfig(Config config)`
  Set the properties
  `void`
  RandomFacetSource.`setConfig(Config config)`
  `void`
  ReutersContentSource.`setConfig(Config config)`
  `void`
  SortableSingleDocSource.`setConfig(Config config)`
  `void`
  SpatialDocMaker.`setConfig(Config config, ContentSource source)`
  `void`
  SpatialFileQueryMaker.`setConfig(Config config)`
  `void`
  TrecContentSource.`setConfig(Config config)`

- ## Uses of Config in org.apache.lucene.benchmark.byTask.stats

  Constructors in org.apache.lucene.benchmark.byTask.stats with parameters of type Config
  Modifier
  Constructor
  Description
  ``
  `Points(Config config)`
  Create a Points statistics object.

- ## Uses of Config in org.apache.lucene.benchmark.byTask.tasks

  Methods in org.apache.lucene.benchmark.byTask.tasks with parameters of type Config
  Modifier and Type
  Method
  Description
  `static IndexWriter`
  CreateIndexTask.`configureWriter(Config config, PerfRunData runData, IndexWriterConfig.OpenMode mode, IndexCommit commit)`
  `static IndexWriterConfig`
  CreateIndexTask.`createWriterConfig(Config config, PerfRunData runData, IndexWriterConfig.OpenMode mode, IndexCommit commit)`
  `static IndexDeletionPolicy`
  CreateIndexTask.`getIndexDeletionPolicy(Config config)`